今天将自己的博客从1.5版本升级到了2.0版本。可能是出于安全上的考虑2.0摒弃了FCKEDIT编辑器而使用了Tinymce编辑器。在复原数据的过程中,发现编辑器竟然不能嵌入iframe标记。至使我不能将百度游戏灵活的增加进博客,而需要修改源文件。其实这很明显是编辑器的问题,出于安全考虑屏蔽了iframe标记。

其实解决办法非常简单,我使用的是www.blogyi.net的BlogEngine.Net本地汉化版本。

1.打开BlogYi.Net-2.0-Source\BlogEngine\BlogEngine.NET\editors\tiny_mce_3_3_9_2\tiny_mce_src.js找到

extended_valid_elements : 0,
将其修改为
extended_valid_elements : 'iframe[src|style|width|height|scrolling|marginwidth|marginheight|frameborder]',
请注意这里修改的是源程序,是没有经过压缩的。网站在发布以后使用的是tiny_mce.js

所以Ctrol+F需要修改tiny_mce.js中相应的内容。然后替换上传tiny_mce.js。tiny_mce_src.js无需上传。

然后你再打开编辑器。便可以使用iframe标记了。

当然,其他标记也可添加进去。我这里提供一个英文版的说明地址供大家参考:

http://learnwebdesignonline.com/allow-script-iframe-tinymce